"use strict";
this.name        = "towbareq";
this.author      = "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 3.0";
this.description = "Primed commands: release/relock, ship miner mode change";
this.version     = "0.95";

//equipment events
this.activated = function() {
	var r = worldScripts["towbar"];
	if( r.$TowbarShip ) r.$Towbar_Release();
	else {
		if(!system) return; //find derelict ship in 200m
		var st = system.filteredEntities(this, r.$Towbar_IsDerelict, player.ship, 200);
		if( st.length > 0 ) r.$Towbar_SteerTo( st[0] ); //Towbar lock on
		else {
			var lr = "not installed";
			switch( player.ship.equipmentStatus("EQ_LASERREDUCTOR") ) {
				case "EQUIPMENT_OK":
					if( r.$TowbarLaserReductorOn ) {
						r.$TowbarLaserReductorOn = false;
						lr = "OFF";
					} else {
						r.$TowbarLaserReductorOn = true;
						lr = "ON";
					}
					break;
				case "EQUIPMENT_DAMAGED":
					r = "Damaged";
					break;
			}
			player.consoleMessage("No ship on Towbar, Laser Reductor is "+lr);
		}
	}
}

this.mode = function() {
	if( player.ship.equipmentStatus("EQ_SHIPMINER") == "EQUIPMENT_DAMAGED" ) {
		player.consoleMessage("Ship Miner damaged");
		return;
	}
	if( player.ship.equipmentStatus("EQ_SHIPMINER") != "EQUIPMENT_OK" ) {
		player.consoleMessage("Buy Ship Miner first");
		return;
	}

	var r = worldScripts["towbar"];
	r.$TowbarMiner++;
	if( r.$TowbarMiner > 3 ) r.$TowbarMiner = 0;
	var set = "";
	switch( r.$TowbarMiner ) {
		case 0: set = "Offline";
		break;
		case 1: set = "Cargo only";
		break;
		case 2: set = "Up to full";
		break;
		case 3: set = "Salvager";
	}
	player.consoleMessage("Ship Miner: "+set);
	r.$Towbar_Mining(); //start or continue
}
